<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getAdditionalActivitiesListResponse StructType
 * @subpackage Structs
 */
class GetAdditionalActivitiesListResponse extends AbstractStructBase
{
    /**
     * The additionalActivity
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var AdditionalActivityType[]
     */
    public $additionalActivity;
    /**
     * The error
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType_1[]
     */
    public $error;
    /**
     * Constructor method for getAdditionalActivitiesListResponse
     * @uses GetAdditionalActivitiesListResponse::setAdditionalActivity()
     * @uses GetAdditionalActivitiesListResponse::setError()
     * @param AdditionalActivityType[] $additionalActivity
     * @param ErrorType_1[] $error
     */
    public function __construct(array $additionalActivity = array(), array $error = array())
    {
        $this
            ->setAdditionalActivity($additionalActivity)
            ->setError($error);
    }
    /**
     * Get additionalActivity value
     * @return AdditionalActivityType[]|null
     */
    public function getAdditionalActivity()
    {
        return $this->additionalActivity;
    }
    /**
     * Set additionalActivity value
     * @param AdditionalActivityType[] $additionalActivity
     * @return GetAdditionalActivitiesListResponse
     */
    public function setAdditionalActivity(array $additionalActivity = array())
    {
        $this->additionalActivity = $additionalActivity;
        return $this;
    }
    /**
     * Add item to additionalActivity value
     * @throws \InvalidArgumentException
     * @param AdditionalActivityType $item
     * @return GetAdditionalActivitiesListResponse
     */
    public function addToAdditionalActivity(AdditionalActivityType $item)
    {
        $this->additionalActivity[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType_1[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType_1[] $error
     * @return GetAdditionalActivitiesListResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType_1 $item
     * @return GetAdditionalActivitiesListResponse
     */
    public function addToError(ErrorType_1 $item)
    {
        $this->error[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetAdditionalActivitiesListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
