<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getAddressLabelResponse StructType
 * @subpackage Structs
 */
class GetAddressLabelResponse extends AbstractStructBase
{
    /**
     * The content
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var AddressLabelContent[]
     */
    public $content;
    /**
     * The error
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType_1[]
     */
    public $error;
    /**
     * Constructor method for getAddressLabelResponse
     * @uses GetAddressLabelResponse::setContent()
     * @uses GetAddressLabelResponse::setError()
     * @param AddressLabelContent[] $content
     * @param ErrorType_1[] $error
     */
    public function __construct(array $content = array(), array $error = array())
    {
        $this
            ->setContent($content)
            ->setError($error);
    }
    /**
     * Get content value
     * @return AddressLabelContent[]|null
     */
    public function getContent()
    {
        return $this->content;
    }
    /**
     * Set content value
     * @param AddressLabelContent[] $content
     * @return GetAddressLabelResponse
     */
    public function setContent(array $content = array())
    {
        $this->content = $content;
        return $this;
    }
    /**
     * Add item to content value
     * @throws \InvalidArgumentException
     * @param AddressLabelContent $item
     * @return GetAddressLabelResponse
     */
    public function addToContent(AddressLabelContent $item)
    {
        $this->content[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType_1[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType_1[] $error
     * @return GetAddressLabelResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType_1 $item
     * @return GetAddressLabelResponse
     */
    public function addToError(ErrorType_1 $item)
    {
        $this->error[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetAddressLabelResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
