<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getWplatyCKPResponse StructType
 * @subpackage Structs
 */
class GetWplatyCKPResponse extends AbstractStructBase
{
    /**
     * The wplaty
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var WplataCKPType[]
     */
    public $wplaty;
    /**
     * The error
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType_1[]
     */
    public $error;
    /**
     * Constructor method for getWplatyCKPResponse
     * @uses GetWplatyCKPResponse::setWplaty()
     * @uses GetWplatyCKPResponse::setError()
     * @param WplataCKPType[] $wplaty
     * @param ErrorType_1[] $error
     */
    public function __construct(array $wplaty = array(), array $error = array())
    {
        $this
            ->setWplaty($wplaty)
            ->setError($error);
    }
    /**
     * Get wplaty value
     * @return WplataCKPType[]|null
     */
    public function getWplaty()
    {
        return $this->wplaty;
    }
    /**
     * Set wplaty value
     * @param WplataCKPType[] $wplaty
     * @return GetWplatyCKPResponse
     */
    public function setWplaty(array $wplaty = array())
    {
        $this->wplaty = $wplaty;
        return $this;
    }
    /**
     * Add item to wplaty value
     * @throws \InvalidArgumentException
     * @param WplataCKPType $item
     * @return GetWplatyCKPResponse
     */
    public function addToWplaty(WplataCKPType $item)
    {
        $this->wplaty[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType_1[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ErrorType_1[] $error
     * @return GetWplatyCKPResponse
     */
    public function setError(array $error = array())
    {
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType_1 $item
     * @return GetWplatyCKPResponse
     */
    public function addToError(ErrorType_1 $item)
    {
        $this->error[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetWplatyCKPResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
